--/////////////////////////////////////////////////////////////////////////////
-- Copyright (c) 2000-2025 Ericsson Telecom AB
-- All rights reserved. This program and the accompanying materials
-- are made available under the terms of the Eclipse Public License v2.0
-- which accompanies this distribution, and is available at
-- https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
--
-- Contributors:
--   Baranyi, Botond
--
--/////////////////////////////////////////////////////////////////////////////

SeqOfTest
DEFINITIONS AUTOMATIC TAGS ::=

BEGIN

IMPORTS ;

Pdu ::= SEQUENCE {
  id      EXT-TYPE.&extId({Variants}),
  content SEQUENCE OF EXT-TYPE.&ExtContent({Variants}{@.id})
}

EXT-TYPE ::= CLASS {
  &extId      VarId,
  &ExtContent
} WITH SYNTAX {&ExtContent IDENTIFIED BY &extId}

Variants EXT-TYPE ::= {
  {NULL IDENTIFIED BY 3},
  ...
}

VarId ::= INTEGER(0..255)

END

